package com.yanzuoguang.excel;

import com.yanzuoguang.util.helper.StringHelper;

/**
 * 数据合并处理
 * @author 颜佐光
 */
public class ExcelMergerData {

    /**
     * 上次合并的数据
     */
    private String data;

    /**
     * 合并行号
     */
    private int rowIndex = -1;

    /**
     * 数据合并行数
     */
    private int rowCell;

    /**
     * 写入新数据
     *
     * @param rowIndex    行号
     * @param nowCellData 新数据
     */
    public void updateMerger(int rowIndex, String nowCellData) {
        if (this.rowIndex == -1 || !StringHelper.compare(this.data, nowCellData)) {
            this.rowIndex = rowIndex;
            this.data = nowCellData;
            this.rowCell = 1;
        } else {
            this.rowCell++;
        }
    }

    /**
     * 写入数据，并且判断是否需要创建单元格
     *
     * @param nowCellData 需要写入的单元格的数据
     * @return
     */
    public boolean isMergerHistory(String nowCellData) {
        return isMergerHistory() && !StringHelper.compare(this.data, nowCellData);
    }

    /**
     * 是否合并单元格
     *
     * @return 合并标记
     */
    public boolean isMergerHistory() {
        return rowCell > 1 && rowIndex >= 0;
    }

    public String getData() {
        return data;
    }

    public int getRowIndex() {
        return rowIndex;
    }

    public int getRowCell() {
        return rowCell;
    }
}
